Initiate a DCB charge
curl --request POST \
--url https://api.orbit.devotel.io/api/v1/commerce/dcb/charge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"merchant": {
"merchantId": "<string>",
"displayName": "<string>",
"currency": "<string>",
"category": "<string>",
"maxChargeAmount": 123,
"coverage": [
{
"country": "<string>",
"operator": "<string>"
}
],
"createdAt": 123,
"updatedAt": 123
},
"charge": {
"id": "<string>",
"phoneNumber": "<string>",
"country": "<string>",
"operator": "<string>",
"amount": 123,
"currency": "<string>",
"description": "<string>",
"merchantReference": "<string>",
"idempotencyKey": "<string>"
}
}
'import requests
url = "https://api.orbit.devotel.io/api/v1/commerce/dcb/charge"
payload = {
"merchant": {
"merchantId": "<string>",
"displayName": "<string>",
"currency": "<string>",
"category": "<string>",
"maxChargeAmount": 123,
"coverage": [
{
"country": "<string>",
"operator": "<string>"
}
],
"createdAt": 123,
"updatedAt": 123
},
"charge": {
"id": "<string>",
"phoneNumber": "<string>",
"country": "<string>",
"operator": "<string>",
"amount": 123,
"currency": "<string>",
"description": "<string>",
"merchantReference": "<string>",
"idempotencyKey": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
merchant: {
merchantId: '<string>',
displayName: '<string>',
currency: '<string>',
category: '<string>',
maxChargeAmount: 123,
coverage: [{country: '<string>', operator: '<string>'}],
createdAt: 123,
updatedAt: 123
},
charge: {
id: '<string>',
phoneNumber: '<string>',
country: '<string>',
operator: '<string>',
amount: 123,
currency: '<string>',
description: '<string>',
merchantReference: '<string>',
idempotencyKey: '<string>'
}
})
};
fetch('https://api.orbit.devotel.io/api/v1/commerce/dcb/charge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"merchantId": "<string>",
"country": "<string>",
"operator": "<string>",
"buyerMsisdnMasked": "<string>",
"amount": 123,
"currency": "<string>",
"description": "<string>",
"merchantReference": "<string>",
"capturedAmount": 123,
"refundedAmount": 123,
"createdAt": 123,
"updatedAt": 123,
"settledAt": 123
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Commerce
Initiate a DCB charge
Validate a charge against the merchant’s coverage + per-transaction cap and return an initiated charge snapshot. The operator dip is submitted separately via the carrier-billing route.
POST
/
api
/
v1
/
commerce
/
dcb
/
charge
Initiate a DCB charge
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
Body
application/json
⌘I